Documentation · API reference
GET
/api/v1/sites/{site}/aroundWhere readers of a page came from inside the site, and went next
This page as Markdown, or in an AI chatMore ways to read this page
Where readers of a page came from inside the site, and went next.
# Where readers of a page came from inside the site, and went next
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/get-sites-site-around
`GET /api/v1/sites/{site}/around`
Where readers of a page came from inside the site, and went next.
## Parameters
- `site` (in path, needed): A site's id or name
- `path` (in query, needed): The page
## The answer
200, `AroundResponse`: Where readers of a page came from inside the site and went next.
- `after` (list of Counted, needed)
- `before` (list of Counted, needed)
## Asking
```sh
curl -G https://tidekeeper.eu/api/v1/sites/example.org/around \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-d path=…
```
Parameters
- sitein the address
- neededA site's id or name
- pathin the query
- neededThe page
The answer
Status 200
AroundResponse Where readers of a page came from inside the site and went next.
- after
- list of Countedneeded
- before
- list of Countedneeded
Asking
curl -G https://tidekeeper.eu/api/v1/sites/example.org/around \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -d path=…
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/around?path=…", { headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.json());